"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testValidator = exports.test = void 0;
const lodash_1 = require("lodash");
function test(rule, { path, valid, invalid }) {
    valid.forEach((value) => {
        const data = {};
        lodash_1.set(data, path, value);
        const res = rule.evaluate(path, data);
        if (!res.valid) {
            throw Error(`${rule.type()} failed but should have passed: ${res.message} (value: '${value}')`);
        }
    });
    invalid.forEach((value) => {
        const data = {};
        lodash_1.set(data, path, value);
        const res = rule.evaluate(path, data);
        if (res.valid) {
            throw Error(`${rule.type()} passed but should have failed (value: '${value}')`);
        }
    });
}
exports.test = test;
function testValidator(validator, { valid, invalid }) {
    valid.forEach(value => {
        const res = validator.validate(value);
        if (!res.valid) {
            throw Error(`Failed but should have passed: ${res.message} (value: '${JSON.stringify(value)}')`);
        }
    });
    invalid.forEach((value) => {
        const res = validator.validate(value);
        if (res.valid) {
            throw Error(`Passed but should have failed (value: '${JSON.stringify(value)}')`);
        }
    });
}
exports.testValidator = testValidator;
//# sourceMappingURL=utils.js.map